<div class="panel panel-default">
  <div style="padding:10px;">
    <div id="inclusions" class="inclusions">
      <div class="tree col-xs-4" data-xhrurl="{$assetpath}treexhr.php?kPlugin={$kplugin}">
        <h4>Gruppe</h4>
        <div class="groups">
        </div>
        <div class="addgroup">
          <button class="btn btn-secondary btn-sm">neue Gruppe</button>
        </div>
      </div>
      <div class="detail col-xs-8">
        <h4>Details</h4>
        <div class="editor"></div>
      </div>
      <div class="clear"></div>
      {if $settingstransfered eq false}
      {include './transferoriginalsettings.tpl'}
      {/if}
    </div>
  </div>
</div>
<link rel="stylesheet" href="{$assetpath}css/inclusions.css">
<script src="{$assetpath}js/handlebars-v4.1.2.js" charset="utf-8"></script>
<script src="{$assetpath}js/handlebarshelpers.js" charset="utf-8"></script>
<script src="{$assetpath}js/inclusions-tree.js" charset="utf-8"></script>
<script src="{$assetpath}js/jquery.serialize-object.js" charset="utf-8"></script>
<script type="text/javascript">
var pages = {$pages};
</script>
{literal}
<script id="treeTemplate" type="text/x-handlebars-template">
  {{#each groups}}
  <div class="group{{#ifCond this.id ../openedGroup}} open{{/ifCond}}" data-group="{{this.id}}"><input type="checkbox" class="toggleactivegroup" title="Gruppe aktiv" data-group="{{this.id}}"{{#ifCond this.active 1}} checked{{/ifCond}} /><span class="grouplabel">{{this.name}}</span>
    <span class="action edit edit-group fa fa-pencil" title="bearbeiten" data-group="{{this.id}}"></span>
    <span class="action delete delete-group fa fa-trash" title="l&ouml;schen" data-group="{{this.id}}"></span>
    {{#each this.snippets}}
    <div class="snippet{{#ifCond this.id ../../selectedSnippet}} selected{{/ifCond}}" data-snippet="{{this.id}}">
      <input type="checkbox" class="toggleactivesnippet" title="Snippet aktiv"{{#ifCond this.active 1 }} checked{{/ifCond}} data-snippet="{{this.id}}" />
      <span class="snippetlabel" data-snippet="{{this.id}}">{{this.name}}</span>
      <span class="action delete delete-snippet fa fa-trash" title="l&ouml;schen" data-snippet="{{this.id}}"></span>
    </div>
    {{/each}}
    <div class="addsnippet">
      <button class="btn btn-secondary btn-sm" data-group="{{this.id}}">neues Snippet</button>
    </div>
  </div>
  {{/each}}
</script>
<script id="snippetTemplate" type="text/x-handlebars-template">
  <form accept-charset="utf-8">
    <dl>
      <dt>
        Name:
      </dt>
      <dd class="display">
        {{name}}
      </dd>
      <dd class="edit">
        <input type="text" class="form-control" name="name" value="{{name}}" />
      </dd>
      <dt>
        Beschreibung:
      </dt>
      <dd class="display">
        {{#each this.descriptions}}
        <p>{{description}}</p>
        {{/each}}
      </dd>
      <dd class="edit">
        {{#each this.descriptions}}
        <label>{{cNameDeutsch}}</label>
        <textarea name="descriptions[{{cISO}}]">{{description}}</textarea>
        {{/each}}
      </dd>
      <dt>
        Link zum Cookie-Anbieter:
      </dt>
      <dd class="display">
        <a href="{{linktocookieprovider}}" target="_blank">{{linktocookieprovider}}</a>
      </dd>
      <dd class="edit">
        <input type="text" class="form-control" name="linktocookieprovider" value="{{linktocookieprovider}}" />
      </dd>
      <dt>
        Inhalt:
      </dt>
      <dd class="display">
        <pre>{{content}}</pre>
      </dd>
      <dd class="edit">
        <textarea name="content" class="form-control" spellcheck="false">{{content}}</textarea>
      </dd>
      <dt>
        Seitentyp:
      </dt>
      <dd class="display">
        <div class="threecolumns">
          {{#each pagetype}}
          {{lookup ../pages this}}<br />
          {{/each}}
        </div>
      </dd>
      <dd class="edit">
        <label>
          <input type="checkbox" name="pagetype[selectall]" class="pagetype form-check-input" />Alle ausw&auml;hlen<br />
        </label>
        <div class="twocolumns">
          {{#each pages}}
          <label>
            <input type="checkbox" name="pagetype[{{@key}}]" class="pagetype form-check-input"{{#ifIn @key ../pagetype}} checked{{/ifIn}} />{{this}}<br />
          </label>
          {{/each}}
        </div>
      </dd>
      <dt>
        Einbinden in Element:
      </dt>
      <dd class="display">
        {{inclusionelement}}
      </dd>
      <dd class="edit">
        <input type="text" class="form-control" name="inclusionelement" value="{{inclusionelement}}" />
      </dd>
      <dt>
        Einbindungsmethode:
      </dt>
      <dd class="display">
        {{inclusionmethod}}
      </dd>
      <dd class="edit">
        <select name="inclusionmethod">
          <option value="before"{{#ifCond inclusionmethod 'before'}} selected{{/ifCond}}>before</option>
          <option value="prepend"{{#ifCond inclusionmethod 'prepend'}} selected{{/ifCond}}>prepend</option>
          <option value="append"{{#ifCond inclusionmethod 'append'}} selected{{/ifCond}}>append</option>
          <option value="after"{{#ifCond inclusionmethod 'after'}} selected{{/ifCond}}>after</option>
        </select>
      </dd>
    </dl>
  </form>
  <div class="actions">
    <button class="btn btn-primary edit">bearbeiten</button>
    <button class="btn btn-secondary cancel">abbrechen</button>
    <button class="btn btn-success save">speichern</button>
  </div>
</script>
{/literal}
