<div class="consentheader">
  <h2>{$lang['cin_cookieconsent_headline']}</h2>
  <p>{$lang['cin_cookieconsent_description']}</p>
  {if $inline}<p>{$lang['cin_cookieconsent_description_ext']}</p>{/if}
  <div class="headerlinks">
    {if $cookiesettingslink ne ''}
      <p>
        <a href="{$cookiesettingslink}">{$cookiesettingslinktext}</a>
      </p>
    {/if}
    {if $datenschutzlink ne ''}
      <p>
        <a href="{$datenschutzlink}">{$datenschutzlinktext}</a>
      </p>
    {/if}
    {if $impressumlink ne '' }
      <p>
        <a href="{$impressumlink}">{$impressumlinktext}</a>
      </p>
    {/if}
  </div>
</div>
<div class="consentform">
  <form id="cookieconsentform" data-xhrurl="{$xhrurl}">
    <div class="consentgroup">
      <h4>{$lang['cin_cookie_essential_heading']}</h4>
      <p>
        {$lang['cin_cookie_essential_description']}
      <div class="linktocookieprovider small"></div>
      </p>
      <label>
        <input type="checkbox" disabled checked />
        <span class="consentslider round"></span>
        {$lang['cin_cookieconsent_accept']}
      </label>
    </div>
    {foreach from=$consentablecookies item=group}
      <div class="consentgroup">
        <h4>{$group['name']}</h4>
        {foreach from=$group['snippets'] item=snippet}
          <p>
            {$snippet['description']}
          <div class="linktocookieprovider small"><a href="{$snippet['linktocookieprovider']}" target="_blank">{$snippet['linktocookieprovider']}</a></div>
          </p>
        {/foreach}
        <label>
          <input type="checkbox" name="consentgroup{$group['id']}" {if $cookieconsentsettings['groups'][$group['id']] eq true} checked{/if} />
          <span class="consentslider round"></span>
          {$lang['cin_cookieconsent_accept']}
        </label>
      </div>
    {/foreach}
    <div class="consentgroup">
      <h4>{$lang['cin_cookieconsent_persistance_header']}</h4>
      <p>{$lang['cin_cookieconsent_persistance_body']}</p>
      <label>
        <input type="checkbox" name="saveascookie" {if $cookieconsentsettings['saveascookie'] eq true} checked{/if} />
        <span class="consentslider round"></span>
        {$lang['cin_cookieconsent_accept']}
      </label>
    </div>
    <div class="buttonbar">
      <button class="cbtn cbtn-primary">{$lang['cin_cookieconsent_save']}</button>
    </div>
  </form>
</div>
